import { RenderMethods } from './methods/RenderMethods';
import { ComponentMethods } from './methods/ComponentMethods';
import { StateMethods } from './methods/StateMethods';
import { ActionMethods } from './methods/ActionMethods';
declare type PublicMethods<T> = {
    [K in keyof T]: T[K];
};
export declare type Methods = PublicMethods<RenderMethods> & PublicMethods<ComponentMethods> & PublicMethods<StateMethods> & PublicMethods<ActionMethods>;
export declare class MethodFactory {
    all: Methods;
    constructor(component: any, defaultProps?: object, defaultState?: object);
}
export {};
